> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Update leads



## OpenAPI

````yaml /openapi/sales.json put /v1/sales/leads/{lead_id}/
openapi: 3.0.3
info:
  title: Yume API — Продажи
  version: 1.0.0
  description: Касса и управление продажами.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/sales/leads/{lead_id}/:
    put:
      tags:
        - leads
      summary: Update leads
      operationId: leads_update
      parameters:
        - in: path
          name: lead_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LeadCreate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/LeadCreate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/LeadCreate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeadCreate'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    LeadCreate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        ordering:
          type: integer
          maximum: 2147483647
          minimum: 0
        cancel_reason:
          type: string
          nullable: true
        extra: {}
        tenant:
          type: integer
        client:
          type: integer
          nullable: true
        stage:
          type: integer
        funnel:
          type: integer
        manager:
          type: integer
          nullable: true
        source:
          type: integer
          nullable: true
        request:
          type: integer
          nullable: true
        sale:
          type: integer
          nullable: true
      required:
        - created_at
        - funnel
        - id
        - stage
        - updated_at
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````